-- GoH_DK Event Registrations
	GoH_DK = {}
	GoH_DK.events = {}

	GoH_DK.eventFrame = CreateFrame("Frame");
	GoH_DK.eventFrame:SetScript("OnEvent", function(self, event, ...) GoH_DK.events[event](...) end);

	-- EVERY EVENT YOU REGISTER MUST HAVE A FUNCTION
	GoH_DK.eventFrame:RegisterEvent("ADDON_LOADED");
   	GoH_DK.eventFrame:RegisterEvent("PLAYER_REGEN_DISABLED");
   	GoH_DK.eventFrame:RegisterEvent("PLAYER_REGEN_ENABLED");
   	GoH_DK.eventFrame:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED");



-- #######################################
-- #######################################
-- LOAD ADDON FUNCTION
-- #######################################
-- #######################################
function GoH_DK.events.ADDON_LOADED(addon)

	if addon ~= "GoH_DK" then
		return;
	end

end


-- #######################################
-- #######################################
-- PLAYER ENTER COMBAT SOUNDS
-- #######################################
-- #######################################
function GoH_DK.events.PLAYER_REGEN_DISABLED()

	-- START YOUR MUSIC
	PlayMusic("Interface\\AddOns\\GoH_DK\\Mortal_Kombat_Theme.mp3");

end



-- #######################################
-- #######################################
-- PLAYER LEAVE COMBAT SOUNDS
-- #######################################
-- #######################################
function GoH_DK.events.PLAYER_REGEN_ENABLED()

	-- STOP YOUR MUSIC
	StopMusic();

end



-- #######################################
-- #######################################
-- COMBAT LOG UNFILTERED
-- #######################################
-- #######################################
function GoH_DK.events.COMBAT_LOG_EVENT_UNFILTERED(timestamp, event, hideCaster, sourceGUID, sourceName, sourceFlags, sourceFlags2, destGUID, destName, destFlags, destFlags2, ...)

  local GoH_DK_spellID, GoH_DK_spellName, GoH_DK_all_spellSchool, GoH_DK_amount, GoH_DK_overkill, GoH_DK_school, GoH_DK_resisted, GoH_DK_blocked, GoH_DK_absorbed, GoH_DK_critical = ...

  -- Your Character's name
  GoH_DK_CharName = UnitName("player");

	-- DEATH KNIGHT: DEATH GRIP
	if (GoH_DK_spellID == 49576) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DK_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH_DK\\Get_Over_here_male.mp3","Master");
	end

end